#include "StdAfx.h"
#include ".\refcountedstringrep.h"

RefCountedStringRep::RefCountedStringRep(const char * text)
	: actualString(text), refCount(1)
{
}

void RefCountedStringRep::IncRefCount()
{
	refCount++;
}

void RefCountedStringRep::DecRefCount()
{
	refCount--;
}

bool RefCountedStringRep::HasNoUsers() const
{
	return refCount == 0;
}

bool RefCountedStringRep::HasOneUser() const
{
	return refCount == 1;
}
