#pragma once

#include <string>
using namespace std;

class RefCountedStringRep
{
	friend class RefCountedString;

private:
	string actualString;
	int refCount;

public:
	RefCountedStringRep(const char * text);

	void IncRefCount();
	void DecRefCount();
	bool HasNoUsers() const;
	bool HasOneUser() const;
};